# Uses of Class
org.eclipse.emf.cdo.server.net4j.FailoverMonitor.AgentProtocol

Packages that use FailoverMonitor.AgentProtocol
Package
Description
org.eclipse.emf.cdo.server.net4j
Server concepts for dealing with Net4j-based repositories and fail-over infrastructure.

## Uses of FailoverMonitor.AgentProtocol in org.eclipse.emf.cdo.server.net4j

Methods in org.eclipse.emf.cdo.server.net4j that return FailoverMonitor.AgentProtocol
Modifier and Type
Method
Description
`FailoverMonitor.AgentProtocol`
FailoverMonitor.AgentProtocol.Factory.`create(String description)`
`protected FailoverMonitor.AgentProtocol`
FailoverMonitor.`electNewMaster(List<FailoverMonitor.AgentProtocol> agents)`
`FailoverMonitor.AgentProtocol[]`
FailoverMonitor.`getElements()`
`FailoverMonitor.AgentProtocol`
FailoverMonitor.`getMasterAgent()`
Methods in org.eclipse.emf.cdo.server.net4j with parameters of type FailoverMonitor.AgentProtocol
Modifier and Type
Method
Description
`void`
FailoverMonitor.`deregisterAgent(FailoverMonitor.AgentProtocol agent)`
`void`
FailoverMonitor.`registerAgent(FailoverMonitor.AgentProtocol agent)`
Method parameters in org.eclipse.emf.cdo.server.net4j with type arguments of type FailoverMonitor.AgentProtocol
Modifier and Type
Method
Description
`protected FailoverMonitor.AgentProtocol`
FailoverMonitor.`electNewMaster(List<FailoverMonitor.AgentProtocol> agents)`